%define upstream_name    POE-Component-SmokeBox-Dists
%define upstream_version 1.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Search for CPAN distributions by cpanid or distribution name
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::DistnameInfo) >= 0.60.0
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Fetch)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Zlib)
BuildRequires: perl(POE) >= 1.4.0
BuildRequires: perl(Sort::Versions) >= 1.500.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(URI)
BuildArch:  noarch

%description
POE::Component::SmokeBox::Dists is a the POE manpage component that
provides non-blocking CPAN distribution searches. It is a wrapper around
the File::Fetch manpage for '02packages.details.txt.gz' file retrieval, the
IO::Zlib manpage for extraction and the CPAN::DistnameInfo manpage for
parsing the packages data.

Given either author ( ie. CPAN ID ) or distribution search criteria,
expressed as a regular expression, it will return to a requesting session
all the CPAN distributions that match that pattern.

The component will retrieve the '02packages.details.txt.gz' file to the
'.smokebox' directory. If that file already exists, a newer version will
only be retrieved if the file is older than 6 hours. Specifying the 'force'
parameter overrides this behaviour.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.80.0-7.mga6
+ Revision: 1032586
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.80.0-6.mga6
+ Revision: 949831
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.80.0-5.mga5
+ Revision: 790471
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.80.0-4.mga5
+ Revision: 749454
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.80.0-2.mga4
+ Revision: 533053
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 sander85 <sander85> 1.80.0-1.mga4
+ Revision: 471224
- update to 1.08

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 371302
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 14 2011 jquelin <jquelin> 1.60.0-1.mga2
+ Revision: 154838
- update to 1.06

* Sun Jan 23 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 34086
- mageia rebuild
- imported package perl-POE-Component-SmokeBox-Dists


* Sun Dec 26 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.40.0-1mdv2011.0
+ Revision: 625280
- update to new version 1.04

* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 1.20.0-1mdv2011.0
+ Revision: 625063
- import perl-POE-Component-SmokeBox-Dists

